#include<iostream>
using namespace std;
int main(){
cin.tie(NULL);
long long N,masiv[100001],br,a,saveN=21;
bool nz=true;
cin>>N;
for(int iv=1;iv<=N;iv++){
    masiv[iv]=iv;
}
for(int iv=2;nz;iv++){
    br=0;
    for(int iv2=1;iv2<N+1;iv2++){
        if(masiv[iv2]!=0){
            if(br%iv!=0){
                masiv[iv2]=0;
                saveN--;
            }else{
                a=masiv[iv2];
            }
            br++;
        }
    }
    if(saveN<=iv+1){
        nz=false;
    }
}
cout<<a;
return 0;
}
